#
# spec file for package python3-PasteDeploy
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-PasteDeploy
Version:        1.5.2
Release:        7.1
Url:            http://pythonpaste.org/deploy/
Summary:        Load, configure, and compose WSGI applications and servers
License:        MIT
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/P/PasteDeploy/PasteDeploy-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-distribute
#there is no port of Paste yet
#Requires:       python3-Paste

Provides:       python3-pastedeploy = %{version}
Obsoletes:      python3-pastedeploy < %{version}
BuildArch:      noarch

%description
This tool provides code to load WSGI applications and servers from URIs; these
URIs can refer to Python Eggs for INI-style configuration files. Paste Script
provides commands to serve applications based on this configuration file.

%prep
%setup -q -n PasteDeploy-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc docs/*
%dir %{python3_sitelib}/paste
%{python3_sitelib}/paste/deploy/
%{python3_sitelib}/PasteDeploy-%{version}-py%{py3_ver}.egg-info
%{python3_sitelib}/PasteDeploy-%{version}-py%{py3_ver}-nspkg.pth

%changelog
* Thu Jan 22 2015 arun@gmx.de
- specfile:
  * remove python(abi) requirement
* Sun Jan  4 2015 arun@gmx.de
- specfile: update copyright year
- update to version 1.5.2:
  * Fixed Python 3 issue in paste.deploy.util.fix_type_error()
- changes from version 1.5.1:
  * Fixed use of the wrong variable when determining the context protocol
  * Fixed invalid import of paste.deploy.Config to paste.deploy.config.Config
  * Fixed multi proxy IPs bug in X-Forwarded-For header in PrefixMiddleware
  * Fixed TypeError when trying to raise LookupError on Python 3
  * Fixed exception reraise on Python 3
* Thu Nov 22 2012 toddrme2178@gmail.com
- Remove openSUSE 11.4 spec file workarounds
* Thu Sep  6 2012 toddrme2178@gmail.com
- Restore BuildRequires: python3  This package depends on hash
  algorithms that are only available if python3 is installed,
  python3-devel will not pull them in.  Building will fail if
  BuildRequires: python3 is removed.
* Sun May 27 2012 highwaystar.ru@gmail.com
- python3 package added
